Skip to main content
GET
/
api
/
decks
/
{deckId}
/
presentations
List presentations
curl --request GET \
  --url https://app.demand-iq.com/api/decks/{deckId}/presentations \
  --cookie session=
{
  "presentations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "not_started",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "voiceSettings": {},
      "languageSettings": {},
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Response

List of presentations

presentations
object[]